Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.rules
Class AbleRuleSetTemplate

    java.lang.Object
      com.ibm.able.rules.AbleRuleSetTemplate

All Implemented Interfaces:
  AbleTemplate, java.io.Serializable

public class AbleRuleSetTemplate
extends java.lang.Object
implements AbleTemplate, java.io.Serializable

This class allows a user to customize an AbleRuleSet object using a template metaphor. Template variables are used to alter the base ruleset object and to provide the customized ruleset object

See Also:
  Serialized Form

Field Summary
`protected AbleRuleSet` | `myRuleSet` The underlying AbleRule object (with the template attribute) used to generate new customized AbleRule object instances.
`protected java.util.Vector` | `myTemplateVars` The list of template variables referenced by the underlying AbleRule object used to provide customized values for generating new AblRule objects.

Constructor Summary
`AbleRuleSetTemplate()`
`AbleRuleSetTemplate(AbleRuleSet theRuleSet)` Construct a rule template object from a base rule object

Method Summary
`AbleRuleSet` | `createInstance()` Construct an instance of a new AbleRuleSet object from this ruleset template and its bound template variables.
`protected void` | `ctorInitTemplateVarList()` Prepend 2 template variables, one for the ruleset name, and one for the ruleset comment The ruleset comment is the first {0} replacement variable The ruleset label is the second {1} replacement variable
`java.lang.String` | `getArlString()` Retrieve the ARL text string (of the underlying ruleset object)
`java.lang.String` | `getComment()` Retrieve the description or comment field of the template (of the underlying ruleset object)
`java.lang.String` | `getName()` Retrieve the name of the template (of the underlying ruleset object)
`java.lang.Object[]` | `getTemplateVars()` Return a list of AbleVariables used to customize this ruleset template
`void` | `resetTemplateVars()` Calls reset on all template vars to insure they hold the initial values as coded in the ruleset.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### myRuleSet

    protected AbleRuleSet myRuleSet

  The underlying AbleRule object (with the template attribute) used to generate new customized AbleRule object instances.

### myTemplateVars

    protected java.util.Vector myTemplateVars

  The list of template variables referenced by the underlying AbleRule object used to provide customized values for generating new AblRule objects.

Constructor Detail

### AbleRuleSetTemplate

    public AbleRuleSetTemplate()

### AbleRuleSetTemplate

    public AbleRuleSetTemplate(AbleRuleSet theRuleSet)
                        throws AbleDataException

  Construct a rule template object from a base rule object

Method Detail

### ctorInitTemplateVarList

    protected void ctorInitTemplateVarList()
                                    throws AbleDataException

  Prepend 2 template variables, one for the ruleset name, and one for the ruleset comment The ruleset comment is the first {0} replacement variable The ruleset label is the second {1} replacement variable

  Throws:
    `AbleDataException`

### createInstance

    public AbleRuleSet createInstance()
                               throws AbleParException

  Construct an instance of a new AbleRuleSet object from this ruleset template and its bound template variables.

  Returns:
    A new AbleRuleSet object
  Throws:
    `AbleParException`

### getTemplateVars

    public java.lang.Object[] getTemplateVars()
                                       throws AbleDataException

  Return a list of AbleVariables used to customize this ruleset template

  Specified by:
    `getTemplateVars` in interface `AbleTemplate`
  Throws:
    `AbleDataException`

### resetTemplateVars

    public void resetTemplateVars()
                           throws AbleDataException

  Calls reset on all template vars to insure they hold the initial values as coded in the ruleset.

  Throws:
    `AbleDataException`

### getName

    public java.lang.String getName()
                             throws java.rmi.RemoteException

  Retrieve the name of the template (of the underlying ruleset object)

  Specified by:
    `getName` in interface `AbleTemplate`
  Throws:
    `java.rmi.RemoteException`

### getComment

    public java.lang.String getComment()
                                throws java.rmi.RemoteException

  Retrieve the description or comment field of the template (of the underlying ruleset object)

  Specified by:
    `getComment` in interface `AbleTemplate`
  Throws:
    `java.rmi.RemoteException`

### getArlString

    public java.lang.String getArlString()
                                  throws AbleDataException

  Retrieve the ARL text string (of the underlying ruleset object)

  Specified by:
    `getArlString` in interface `AbleTemplate`
  Throws:
    `AbleDataException`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005